Skip to main content
GET
/
v1
/
deposit
/
{id}
Retrieve Deposit
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/deposit/{id} \
  --header 'x-auth-token: <api-key>'
{
  "deposit_id": "72970a7c-7921-431c-b95f-3438724ba16f",
  "short_reference_id": "P220406-LLCVLRM",
  "amount": "10000",
  "currency": "USD",
  "deposit_fee": "1",
  "deposit_status": "COMPLETED",
  "complete_time": "2024-03-01T00:00:00+08:00",
  "receiver_account_number": "12345678",
  "sender": {
    "sender_name": "UQPAY SG",
    "sender_country": "SG",
    "sender_account_number": "12345678",
    "sender_swift_code": "WELGBE22"
  },
  "deposit_reference": "test reference",
  "create_time": "2024-03-01T00:00:00+08:00"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"

Response

OK - Successfully retrieved an account details.

deposit_id
string
required

The deposit id.

Example:

"72970a7c-7921-431c-b95f-3438724ba16f"

short_reference_id
string
required

The reference generated by the system to identify the entity.

Example:

"P220406-LLCVLRM"

amount
string
required

The amount of the deposit. Represents the gross amount before any fees are deducted.

Example:

"10000"

currency
string
required

Currency in which money is held in the beneficiary's bank account. Three-letter ISO 4217 currency code.

Required string length: 3
Example:

"USD"

deposit_fee
string
required

The fee of the deposit.

Example:

"1"

deposit_status
enum<string>
required

The status of the deposit.

Available options:
PENDING,
COMPLETED,
FAILED
Example:

"COMPLETED"

complete_time
string<date/time>
required

The timestamp when the request was successfully processed and marked as COMPLETED.

Example:

"2024-03-01T00:00:00+08:00"

receiver_account_number
string
required

Account number, mostly for non-european countries, either account_number or iban should be filled.

Only English letters (uppercase and lowercase) and digits are allowed; dashes or other special characters are not permitted.

Maximum string length: 60
Pattern: ^[a-zA-Z0-9]*$
Example:

"12345678"

sender
object
required

Details of the sender who initiated the deposit.

deposit_reference
string

The reference of the deposit.

Example:

"test reference"

create_time
string<date/time>

The timestamp when the record was created in the system. Timestamp follows the ISO 8601 standard.

Example:

"2024-03-01T00:00:00+08:00"